Bug 750631 - (CVE-2011-4093) CVE-2011-4093 net6: integer overflow may lead to connection hijacking
CVE-2011-4093 net6: integer overflow may lead to connection hijacking
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111030,repor...
: Security
Depends On: 750633 750634
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 16:21 EDT by Vincent Danen
Modified: 2016-03-04 06:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-11-01 16:21:21 EDT
Vasiliy Kulikov reported [1] that libnet6 did not check the basic_server::id_counter for integer overflows.  This number is used to distinguish different users, so an attacker that was able to open UINT_MAX successive connections could get an identifier of an already existing connection, allowing them to hijack that user's connection.

Note that, as reported, on i686 uint is a 32 bit counter, so an attacker would need to open 4,000,000,000 connections in order to complete the attack.

This has been corrected in git [2].

[1] http://www.openwall.com/lists/oss-security/2011/10/30/3
[2] http://git.0x539.de/?p=net6.git;a=commitdiff;h=ac61d7fb42a1f977fb527e024bede319c4a9e169;hp=08c8e2261604c6fcbbaf62f9ae9d13f7015fcb9a
Comment 1 Vincent Danen 2011-11-01 16:26:19 EDT
Created net6 tracking bugs for this issue

Affects: fedora-all [bug 750633]
Affects: epel-all [bug 750634]
Comment 2 Fedora Update System 2011-11-24 21:04:46 EST
net6-1.3.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2011-11-24 21:04:51 EST
net6-1.3.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2011-11-24 21:06:34 EST
net6-1.3.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-11-24 21:12:23 EST
net6-1.3.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-11-24 21:16:47 EST
net6-1.3.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.